<?php
include('cfg.php');
include('header.php');
echo $style;
//тут будет почта
$msg=mysql_num_rows(mysql_query("SELECT *
FROM `msg`
WHERE `to_whom_id` ='$id'
AND `read` ='0'"));
if ($msg > '0')
	{
	
	echo '<img src="./images/Q_chainmail.png" alt=*  style="float:left; padding:5px">';
	echo '<div class="money">Новое сообщение!<br /><a href="input.php">Открыть</a>';
	echo ' <div style="clear: center"></div></div>';
	
	} else echo '<a class="razd" href="msg.php">'.$img_massage.' Сообщения ['.$msg.']</a>';


$ach_blok_sql = mysql_query("SELECT * FROM `achieve` WHERE `user`='$id' AND `see`='0'");
while($ach_blok = mysql_fetch_assoc($ach_blok_sql))
	{
	$ach_blok_name = mysql_fetch_array(mysql_query("SELECT * FROM `achieve_name` WHERE `id`='$ach_blok[num]'"));
	if ($ach_blok['count'] >= $ach_blok_name['count'])
		{
		echo '<img src="./images/forager_normal.png" alt=*  style="float:left; padding:5px">';
		echo '<div class="money">';
		echo 'Достижение <b>'.$ach_blok_name['name'].'</b> разблокировано!';
		echo '<br /><a href="./achiev.php?a=view&amp;id='.$ach_blok_name['id'].'">Посмотреть</a>';
		echo ' <div style="clear: center"></div></div>';
		}
		
	}




	
	
if ($user['invite_clan'] > '0')
	{
	echo '<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='$user[invite_clan]'"));
	if (intval($_GET['accep2'])=='2' OR intval($_GET['accep2'])=='1')
		{
	if (intval($_GET['accep2'])=='2')
		{
		mysql_query("UPDATE `users` SET `invite_clan`='0' WHERE `id`='$id'");
		echo 'Вы отказались от вступления';
		}
	if (intval($_GET['accep2'])=='1')
		{
		$all_members = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `clan`='$c[id]'"),0);
		if ($c['members'] <= $all_members)
			{
			echo 'Извините, в клане не оказалось свобдных мест<br /><a href="'.$self.'&amp;accep2=1">Ок</a>';
			} else {
		mysql_query("UPDATE `users` SET `invite_clan`='0',`clan`='".$user['invite_clan']."', `clan_time`='$time' WHERE `id`='$id'");
		echo 'Вы вступили в '.$c['title'];
					}
		}
		} else {
	echo 'Клан '.$c['title'].' предлагает вам вступить в их ряды. Согласны? <a href="'.$self.'&amp;accep2=1">Принять</a> / <a href="'.$self.'&amp;accep2=2">Отклонить</a></div>';
				}
	echo '</div>';
	}
	
	
	
	
$is_ally = mysql_result(mysql_query("SELECT count(*) FROM `ally` WHERE `id_ally`='$id' AND `accept`='0'"),0);
if ($is_ally >= '1')
	{
	echo '<div class="money">';
		$id_ally =  mysql_fetch_array(mysql_query("SELECT * FROM `ally` WHERE `id_ally`='$id' AND `accept`='0'"));
		$login_aly_a = mysql_fetch_array(mysql_query("SELECT `country`,`login` FROM `users` WHERE `id`='$id_ally[id_user]'"));
		if (intval($_GET['accep'])=='1' OR intval($_GET['accep'])=='2')
			{
			if (intval($_GET['accep'])=='1')
				{
				echo '<div class="info">Предложение принято</div>';
				mysql_query("UPDATE `ally` SET `accept`='1' WHERE `id_ally`='$id' AND `accept`='0'");
				$text='Предложение союза принято';
				send_mess($login_aly_a['login'],$text,$user[login],'');
					}
			if (intval($_GET['accep'])=='2')
				{
				$text='Предложение союза отклонено';
				send_mess($login_aly_a['login'],$text,$user[login],'');
				echo '<div class="info">Предложение отклонено</div>';
				mysql_query("DELETE FROM `ally` WHERE `id_ally`='$id' AND `accept`='0'");
					}
			}
			else{
		echo '<div class="info">'.$login_aly_a[country].' предлагает союз.<br /><a href="'.$self.'&amp;accep=1">Принять</a> / <a href="'.$self.'&amp;accep=2">Отклонить</a></div>';
				}
				echo '</div>';
		}
//тут почта заканчиваетса
echo '</div> <a class="razd" href="./shop.php"><img src="./images/coin.png" alt=*> Магазин золота</a> ';



/*НАЧИНАЕМ РЕСТАРТ*/
$restart = mysql_fetch_array(mysql_query("SELECT * FROM `restart`"));
if (!empty($restart['time']))
	{
	$secs_end = intval($restart['time']-time());
	if ($secs_end > '0')
		{
		
		$d=floor($secs_end/86400);
		$h=floor(($secs_end%86400)/3600);
		$m=floor(($secs_end%3600)/60);
		$s=($secs_end%3600)%60;

		echo '<div class="money"><font color="red"><b>Рестарт игры через ';
		if ($d > 0) echo $d.' дн, ';
		if ($h > 0) echo $h.' час, ';
		echo $m.' мин, '.$s.' сек';
		echo '</b></font></div>';
		} else echo '<div class="money"><font color="red"><b>Рестарт будет произведен прямо сейчас</b></font></div>';
	}
/*ЗАКАНЧИВАЕМ РЕСТАРТ*/


//обучение
if ($user['new_guy'] !== '9')
	{
	include('new_guy.php');
	}

//конец обучения



$total_buildings=mysql_num_rows(mysql_query("SELECT * FROM buildings"));
$buildings=mysql_query("SELECT * FROM ubuildings WHERE owner_id='$id' ORDER by `id`");
echo '<div class="money"><img src="./images/Q_wolfs_nemesis.png" alt=*  style="float:left; padding:3px"> Постройки <br />['.mysql_num_rows($buildings).'/'.$total_buildings.']';
echo ' <div style="clear: center"></div></div>';
if(mysql_num_rows($buildings) > 0)
{
	while($b=mysql_fetch_array($buildings))
	{
		if ($b[name]=='Морской порт') echo ' <a class="razd" href="building.php?b='.$b['id'].'">'.$img_port.' '.$b['name'].' ';
		
		if ($b[name]=='Ратуша' OR $b[name]=='Цитадель') echo ' <a class="razd" href="building.php?b='.$b['id'].'">'.$img_hall.' '.$b['name'].' ';
		
		
		if ($b[name]=='Научный центр' OR $b[name]=='Университет') echo ' <a class="razd" href="building.php?b='.$b['id'].'">'.$img_univ.' '.$b['name'].' ';

		
		if ($b[name]=='Деревня') echo ' <a class="razd" href="building.php?b='.$b['id'].'">'.$img_village.' '.$b['name'].' ';

		
		if ($b[name]=='Стена') echo ' <a class="razd" href="building.php?b='.$b['id'].'">'.$img_wall.' '.$b['name'].' ';

		
		if ($b[name]=='Дом войны' OR $b[name]=='Казармы') echo ' <a class="razd" href="building.php?b='.$b['id'].'"> '.$img_castle.' '.$b['name'].' ';

		
		if ($b[name]=='Хранилище' OR $b[name]=='Рынок') echo ' <a class="razd" href="building.php?b='.$b['id'].'">'.$img_house.' '.$b['name'].' ';
		
		


		if($b['time_end'] > $time)
		{
		$time_leave=$time-$b['time_start'];//сколько времени прошло
 		$time_must=$b['time_end']-$b['time_start']; //сколько длилась
   		$percent=ceil($time_leave*100/$time_must); //какой это процент
		echo '<b>['.$percent.'%]</b>';
		}
		else {
			
			 if (intval($b['solders']+$b['archers']) < '15')
				{
				echo '[!<b>'.intval($b['solders']+$b['archers']).'</b>!]';
				} else echo '['.intval($b['solders']+$b['archers']).']';
			 
			 }
		echo '</a>';

	}
}
else
{
	echo '<div class="money">У вас нету построек!</div>';
}
if(mysql_num_rows($buildings) < $total_buildings)
{
echo ' <a class="razd" href="build.php">'.$img_cons.' Построить</a>';
}
include('footer.php');
?>